about summary refs log tree commit diff stats
path: root/pkgs/by-name/lf/lf-make-map/tests/base.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xpkgs/by-name/lf/lf-make-map/tests/base.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/pkgs/by-name/lf/lf-make-map/tests/base.sh b/pkgs/by-name/lf/lf-make-map/tests/base.sh
new file mode 100755
index 00000000..c7694985
--- /dev/null
+++ b/pkgs/by-name/lf/lf-make-map/tests/base.sh
@@ -0,0 +1,25 @@
+#! /usr/bin/env sh
+
+# nixos-config - My current NixOS configuration
+#
+# Copyright (C) 2025 Benedikt Peetz <benedikt.peetz@b-peetz.de>
+# SPDX-License-Identifier: GPL-3.0-or-later
+#
+# This file is part of my nixos-config.
+#
+# You should have received a copy of the License along with this program.
+# If not, see <https://www.gnu.org/licenses/gpl-3.0.txt>.
+
+cd "$(dirname "$0")" || exit 2
+
+cargo build
+execute_make_maps() {
+    ../target/debug/lf-make-map "$@"
+}
+
+fd . cases --max-depth 1 --type directory | while read -r case; do
+    echo "Executing '$case/test.sh'"
+
+    # shellcheck source=/dev/null
+    LOCATION="$case/test.sh" . "$case/test.sh"
+done